Summary:	An arcade action puzzle game
Summary(hu.UTF-8):	Akció-kirakó játék
Summary(pl.UTF-8):	Zręcznościowa gra logiczna
Name:		zaz
Version:	1.0.1
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	https://downloads.sourceforge.net/zaz/%{name}-%{version}.tar.gz
# Source0-md5:	987804f7b2ecdd7847d21e1ccf45c210
Source1:	%{name}-docs.tar.gz
# Source1-md5:	c1d35b69edf80bab01262ca272405181
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-usless_files.patch
URL:		https://zaz.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	ftgl-devel >= 2.1.3
BuildRequires:	gettext-tools
BuildRequires:	libdrm-devel
BuildRequires:	libogg-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zaz is an arcade action puzzle game where the objective is to get rid
of all incoming balls by rearranging their order. Currently it
includes 23 different levels.

%description  -l hu.UTF-8
Zaz egy akció kirakó játék, amelyben a cél, hogy az összes bejövő
labdától megszabadulj úgy, hogy őket sorbarendezd. Jelenleg 23
különböző pálya van.

%description -l pl.UTF-8
Zaz to zręcznościowa gra logiczna, w której celem jet pozbycie się
wszystkich kul zmieniając ich ustawienie. Aktualnie gra zawiera 23
różnych poziomów.

%prep
%setup -q -a 1
%patch -P0 -p1
%patch -P1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-icondir="%{_pixmapsdir}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog docs/*
%attr(755,root,root) %{_bindir}/zaz
%{_datadir}/%{name}
%{_desktopdir}/zaz.desktop
%{_pixmapsdir}/zaz.xpm
%changelog
* Sat Dec 14 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zaz.git;a=log;h=master

* Sat Dec 14 2024 Jakub Bogusz <qboosh@pld-linux.org> 35ddd11
- updated to 1.0.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 60ff4ea
- updated gettext BR

* Sun Sep 05 2010 lisu <lisu@pld-linux.org> 21cd05c
- obsoleted, moved to separate package

* Sun Sep 05 2010 lisu <lisu@pld-linux.org> 898916b
- move docs to separate package (zaz-docs.tar.gz)

* Sun Sep 05 2010 Zsolt Udvari <uzsolt@pld-linux.org> 64a3d93
- added screen_mini.jpg
- rel 2

* Sun Sep 05 2010 Zsolt Udvari <uzsolt@pld-linux.org> 8142837
- initial
- taken from webpage

* Sun Sep 05 2010 Zsolt Udvari <uzsolt@pld-linux.org> 9307c1a
- hu
- more doc (taken from webpage)

* Sat Sep 04 2010 lisu <lisu@pld-linux.org> 82a27bd
- updated amount of levels in en desc

* Sat Sep 04 2010 lisu <lisu@pld-linux.org> 353a13a
- 1.0.0
- 23 levels in total

* Mon Jul 19 2010 lisu <lisu@pld-linux.org> 29ad643
- adjusted for 0.8.0 version

* Mon Jul 19 2010 lisu <lisu@pld-linux.org> f185cac
- up to 0.8.0
- 20 levels

* Sun May 09 2010 lisu <lisu@pld-linux.org> b166e98
- updated for 0.7.0

* Sun May 09 2010 lisu <lisu@pld-linux.org> 3ca35e6
- updated to 0.7.0
- more levels in desc

* Mon Feb 22 2010 lisu <lisu@pld-linux.org> 402de2f
- up to 0.3.3

* Sun Jan 31 2010 lisu <lisu@pld-linux.org> 60cab39
- change category to Game;ArcadeGame;

* Sun Jan 31 2010 lisu <lisu@pld-linux.org> 2dbb776
- now zaz has 7 diffrent levels

* Fri Jan 29 2010 lisu <lisu@pld-linux.org> 12d3120
- updated for 0.3.1

* Fri Jan 29 2010 lisu <lisu@pld-linux.org> c5c06b0
- up to 0.3.1
- adapter

* Sun Nov 15 2009 zbyniu <zbyniu@pld-linux.org> 3a5e915
- BR: gettext-devel, pkgconfig

* Wed Oct 07 2009 lisu <lisu@pld-linux.org> 3f33364
- no more inexistent files

